Skip to main content
GET
/
api-keys
List API keys
curl --request GET \
  --url https://api.nova-cloud.ai/api-keys \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "scopes": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "is_revoked": true
  }
]

Authorizations

Authorization
string
header
required

Use a JWT access token or API key (prefixed with nv_)

Query Parameters

include_revoked
boolean
default:false

Include revoked keys in the response

Response

200 - application/json

List of API keys

id
string<uuid>
name
string
scopes
string[]
created_at
string<date-time>
last_used_at
string<date-time> | null
expires_at
string<date-time> | null
is_revoked
boolean